M2Crypto 0.20.1 won't build on Red Hat Linux

John Nagle nagle at animats.com
Wed Sep 30 19:33:36 CEST 2009


M2Crypto, from

http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-0.20.1.tar.gz

won't build on Red Hat Linux / 386.  The error is

swig -python -I/usr/local/include/python2.5 -I/usr/include -includeall -o 
SWIG/_m2crypto_wrap.c

SWIG/_m2crypto.i
/usr/include/openssl/opensslconf.h:27: Error: CPP #error ""This openssl-devel 
package does not work your architecture?"".
Use the -cpperraswarn option to continue swig processing.
error: command 'swig' failed with exit status 1

It's some incompatibility between Red Hat include file packaging and M2Crypto.

There was at one time a note on how to deal with this problem, but it's been 
deleted.  It's still in Google's cache, though.
http://74.125.155.132/search?q=cache:Bv79oR0b-msJ:www.heikkitoivonen.net/blog/2009/02/09/m2crypto-build-wrapper-for-fedora-core-based-distributions/+M2Crypto+building&cd=2&hl=en&ct=clnk&gl=us

I think I went through this mess two years ago, building M2Crypto 0.17.  But
I've forgotten the solution.

What's current thinking on this?

(I know, Python 2.6 has new SSL support, but MySQLdb doesn't support
Python 2.6,  so I can't convert yet.)
			
					John Nagle



More information about the Python-list mailing list